View Issue Details

IDProjectCategoryView StatusLast Update
0001393Main CAcert Websitemy accountpublic2015-10-24 16:31
ReporterINOPIAE Assigned Tofelixd  
PrioritynormalSeverityminorReproducibilityhave not tried
Status needs review & testingResolutionopen 
Product Version2015 Q3 
Target Version2015 Q3 
Summary0001393: Provide transcript for email ping (on error)
DescriptionIf the email ping is not successful, give the user a better information why it did not work.
TagsNo tags attached.
Reviewed byBenBE
Test InstructionsTry to ping a domain that is not reachable for an email ping or cause other issues. Test the success case gives no transcript.

Activities

felixd

2015-07-28 19:55

updater   ~0005439

A patch is here:

https://github.com/yellowant/cacert-devel/tree/bug-1393

INOPIAE

2015-08-25 20:11

updater   ~0005455

Last edited: 2015-08-25 20:33

View 3 revisions

I tried to create a new account with an email address with a non existing domain:
I get the follwing error message:
Processing email address:
- Domain Name: xxxxxx.eu
- Mailbox Name: m
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'xxxxxx.eu' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'xxxxxx.eu' with priority 0

Starting test for id 0 for host 'xxxxxx.eu'
- Trying to connect to 'tcp://xxxxxx.eu:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

=> ok

I tried to add an email address with a non existing domain to an existing account:
I get the follwing error message:
Processing email address:
- Domain Name: xxxxxx.eu
- Mailbox Name: m
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'xxxxxx.eu' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'xxxxxx.eu' with priority 0

Starting test for id 0 for host 'xxxxxx.eu'
- Trying to connect to 'tcp://xxxxxx.eu:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

=> ok

I tried to add a non existing domain to an existing account:
I get the follwing error message when trying to select one of the addresses suggested mails:
Processing email address:
- Domain Name: xxxxxx.eu
- Mailbox Name: m
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'xxxxxx.eu' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'xxxxxx.eu' with priority 0

Starting test for id 0 for host 'xxxxxx.eu'
- Trying to connect to 'tcp://xxxxxx.eu:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

=> ok

adding an email address with an existing domain works without error message.
=> ok

=> ok

GuKKDevel

2015-10-22 15:52

updater   ~0005479

Last edited: 2015-10-24 16:31

View 4 revisions

1 tried to create an account

1.1 with nonexisting TLD

Email Address given was invalid, or a test connection couldn't be made to your server, or the server rejected the email address as invalid

Processing email address:
- Domain Name: plofre.tramp
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.tramp' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.tramp' with priority 0

Starting test for id 0 for host 'plofre.tramp'
- Trying to connect to 'tcp://plofre.tramp:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Name or service not known
None of the email servers could be reached

==> OK


1.2 with nonexisting Domain

Email Address given was invalid, or a test connection couldn't be made to your server, or the server rejected the email address as invalid

Processing email address:
- Domain Name: plofre.eu
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.eu' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.eu' with priority 0

Starting test for id 0 for host 'plofre.eu'
- Trying to connect to 'tcp://plofre.eu:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Name or service not known
None of the email servers could be reached

==> OK


1.3 with nonexisting Subdomain

Email Address given was invalid, or a test connection couldn't be made to your server, or the server rejected the email address as invalid

Processing email address:
- Domain Name: plofre.cacert.org
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.cacert.org' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.cacert.org' with priority 0

Starting test for id 0 for host 'plofre.cacert.org'
- Trying to connect to 'tcp://plofre.cacert.org:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Name or service not known
None of the email servers could be reached

==> OK


1.4 with nonexisting Emailaccount gucky@cacert.org

Your information has been submitted into our system. You will now be sent an email with a web link,
you need to open that link in your web browser within 24 hours or your information will be removed from our system!

==> OK


2. add adress to assurer-account

2.1 with nonexisting TLD

Die angegebene E-Mail-Adresse war ungültig oder eine Test-Verbindung zu Ihrem Server konnte nicht aufgebaut werden oder Ihr Server hat Ihre E-Mail-Adresse als ungültig abgewiesen.

Processing email address:
- Domain Name: Plofre.Tramp
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'Plofre.Tramp' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'Plofre.Tramp' with priority 0

Starting test for id 0 for host 'Plofre.Tramp'
- Trying to connect to 'tcp://Plofre.Tramp:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

==> OK


2.2 with nonexisting Domain

Die angegebene E-Mail-Adresse war ungültig oder eine Test-Verbindung zu Ihrem Server konnte nicht aufgebaut werden oder Ihr Server hat Ihre E-Mail-Adresse als ungültig abgewiesen.

Processing email address:
- Domain Name: plofre.eu
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.eu' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.eu' with priority 0

Starting test for id 0 for host 'plofre.eu'
- Trying to connect to 'tcp://plofre.eu:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

==> OK


2.3 with nonexisting Sub-Domain

Die angegebene E-Mail-Adresse war ungültig oder eine Test-Verbindung zu Ihrem Server konnte nicht aufgebaut werden oder Ihr Server hat Ihre E-Mail-Adresse als ungültig abgewiesen.

Processing email address:
- Domain Name: plofre.cacert.org
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.cacert.org' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.cacert.org' with priority 0

Starting test for id 0 for host 'plofre.cacert.org'
- Trying to connect to 'tcp://plofre.cacert.org:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

==> OK


2.4a with nonexisting Emailaccount gucky@cacert.org

Die E-Mail-Adresse 'gucky@Cacert.org' ist bereits einem anderen Konto zugeordnet. Fortsetzen nicht möglich.

=======> needs controll after 24 hours.


Controll:

Die E-Mail-Adresse 'gucky@Cacert.org' wurde hinzugefügt. Bevor Sie jedoch für diese Adresse Zertifikate ausstellen können, müssen Sie den Link,
der Ihnen an diese E-Mail-Adresse geschickt worden ist, in einem Browser öffnen.

==> OK


2.4b with nonexisting Emailaccount gucky1@cacert.org

Die E-Mail-Adresse 'gucky1@cacert.org' wurde hinzugefügt. Bevor Sie jedoch für diese Adresse Zertifikate ausstellen können, müssen Sie den Link,
der Ihnen an diese E-Mail-Adresse geschickt worden ist, in einem Browser öffnen.

==> OK



3. add adress to assured-account

3.1 with nonexisting TLD

Die angegebene E-Mail-Adresse war ungültig oder eine Test-Verbindung zu Ihrem Server konnte nicht aufgebaut werden oder Ihr Server hat Ihre E-Mail-Adresse als ungültig abgewiesen.

Processing email address:
- Domain Name: plofre.Tramp
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.Tramp' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.Tramp' with priority 0

Starting test for id 0 for host 'plofre.Tramp'
- Trying to connect to 'tcp://plofre.Tramp:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

==> OK


3.2 with nonexisting Domain

Die angegebene E-Mail-Adresse war ungültig oder eine Test-Verbindung zu Ihrem Server konnte nicht aufgebaut werden oder Ihr Server hat Ihre E-Mail-Adresse als ungültig abgewiesen.

Processing email address:
- Domain Name: plofre.eu
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.eu' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.eu' with priority 0

Starting test for id 0 for host 'plofre.eu'
- Trying to connect to 'tcp://plofre.eu:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

==> OK


3.3 with nonexisting Sub-Domain

Die angegebene E-Mail-Adresse war ungültig oder eine Test-Verbindung zu Ihrem Server konnte nicht aufgebaut werden oder Ihr Server hat Ihre E-Mail-Adresse als ungültig abgewiesen.

Processing email address:
- Domain Name: plofre.gukk.eu
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.gukk.eu' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.gukk.eu' with priority 0

Starting test for id 0 for host 'plofre.gukk.eu'
- Trying to connect to 'tcp://plofre.gukk.eu:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

==> OK


3.4a with nonexisting Emailaccount gucky@cacert.org

Die E-Mail-Adresse 'gucky@Cacert.org' ist bereits einem anderen Konto zugeordnet. Fortsetzen nicht möglich.

=======> needs controll after 24 hours.
see 2.4a

3.4b with nonexisting Emailaccount gucky1@cacert.org

Die E-Mail-Adresse 'gucky1@cacert.org' ist bereits einem anderen Konto zugeordnet. Fortsetzen nicht möglich.

=======> needs controll after 24 hours.


Controll:

Die E-Mail-Adresse 'gucky1@cacert.org' wurde hinzugefügt. Bevor Sie jedoch für diese Adresse Zertifikate ausstellen können, müssen Sie den Link,
der Ihnen an diese E-Mail-Adresse geschickt worden ist, in einem Browser öffnen.

==> OK


3.4c with nonexisting Emailaccount gucky@gukk.eu

Die E-Mail-Adresse 'gucky@gukk.eu' wurde hinzugefügt. Bevor Sie jedoch für diese Adresse Zertifikate ausstellen können,
müssen Sie den Link, der Ihnen an diese E-Mail-Adresse geschickt worden ist, in einem Browser öffnen.

==> OK


4. add adress to notassured-account

4.1 with nonexisting TLD

Die angegebene E-Mail-Adresse war ungültig oder eine Test-Verbindung zu Ihrem Server konnte nicht aufgebaut werden oder Ihr Server hat Ihre E-Mail-Adresse als ungültig abgewiesen.

Processing email address:
- Domain Name: plofre.Tramp
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.Tramp' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.Tramp' with priority 0

Starting test for id 0 for host 'plofre.Tramp'
- Trying to connect to 'tcp://plofre.Tramp:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

==> OK


4.2 with nonexisting Domain

Die angegebene E-Mail-Adresse war ungültig oder eine Test-Verbindung zu Ihrem Server konnte nicht aufgebaut werden oder Ihr Server hat Ihre E-Mail-Adresse als ungültig abgewiesen.

Processing email address:
- Domain Name: plofre.eu
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.eu' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.eu' with priority 0

Starting test for id 0 for host 'plofre.eu'
- Trying to connect to 'tcp://plofre.eu:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

==> OK


4.3 with nonexisting Sub-Domain

Die angegebene E-Mail-Adresse war ungültig oder eine Test-Verbindung zu Ihrem Server konnte nicht aufgebaut werden oder Ihr Server hat Ihre E-Mail-Adresse als ungültig abgewiesen.

Processing email address:
- Domain Name: plofre.gukk.eu
- Mailbox Name: Gucky
Determining MX records for mail delivery:
- DNS lookup for MX records failed
- Defaulting to MX = 'plofre.gukk.eu' at priority 0
Building priority queue for test of servers:
- Will test server id 0 at host 'plofre.gukk.eu' with priority 0

Starting test for id 0 for host 'plofre.gukk.eu'
- Trying to connect to 'tcp://plofre.gukk.eu:25' ... FAILED
- Connection failed with code 0: php_network_getaddresses: getaddrinfo failed: Der Name oder der Dienst ist nicht bekannt
None of the email servers could be reached

==> OK


4.4a with nonexisting Emailaccount gucky@cacert.org

Die E-Mail-Adresse 'gucky@Cacert.org' ist bereits einem anderen Konto zugeordnet. Fortsetzen nicht möglich.

=======> needs controll after 24 hours.
see 2.4a

4.4b with nonexisting Emailaccount gucky1@cacert.org

Die E-Mail-Adresse 'gucky1@cacert.org' ist bereits einem anderen Konto zugeordnet. Fortsetzen nicht möglich.

=======> needs controll after 24 hours.
see 3.4b

4.4c with nonexisting Emailaccount gucky@gukk.eu

Die E-Mail-Adresse 'gucky@gukk.eu' ist bereits einem anderen Konto zugeordnet. Fortsetzen nicht möglich.

=======> needs controll after 24 hours.


Controll:

Die E-Mail-Adresse 'gucky@gukk.eu' wurde hinzugefügt. Bevor Sie jedoch für diese Adresse Zertifikate ausstellen können, müssen Sie den Link, der Ihnen an diese E-Mail-Adresse geschickt worden ist, in einem Browser öffnen.

==> OK

4.4d with nonexisting Emailaccount plofre@gukk.eu

Die E-Mail-Adresse 'plofre@gukk.eu' wurde hinzugefügt. Bevor Sie jedoch für diese Adresse Zertifikate ausstellen können,
müssen Sie den Link, der Ihnen an diese E-Mail-Adresse geschickt worden ist, in einem Browser öffnen.

==> OK



all results conflated

==> OK

Issue History

Date Modified Username Field Change
2015-07-28 15:29 INOPIAE New Issue
2015-07-28 19:55 felixd Note Added: 0005439
2015-07-28 19:55 felixd Assigned To => felixd
2015-07-28 19:55 felixd Status new => fix available
2015-07-29 20:58 BenBE Reviewed by => BenBE
2015-07-29 20:58 BenBE Test Instructions => Try to ping a domain that is not reachable for an email ping or cause other issues. Test the success case gives no transcript.
2015-07-29 20:58 BenBE Status fix available => needs review & testing
2015-08-25 20:11 INOPIAE Note Added: 0005455
2015-08-25 20:33 INOPIAE Note Edited: 0005455 View Revisions
2015-08-25 20:33 INOPIAE Note Edited: 0005455 View Revisions
2015-10-22 15:52 GuKKDevel Note Added: 0005479
2015-10-24 16:22 GuKKDevel Note Edited: 0005479 View Revisions
2015-10-24 16:27 GuKKDevel Note Edited: 0005479 View Revisions
2015-10-24 16:31 GuKKDevel Note Edited: 0005479 View Revisions